%define url_ver %(echo %{version} | cut -d. -f1,2)

# currently broken
%define with_clutter 0

# exclude plugins from autoprov
%global __provides_exclude_from %{_libdir}/%{name}-0/.*\\.so

# fix COPR builds
%{?!_metainfodir:%global _metainfodir %_datadir/metainfo}

Summary:	A modern media player based on the GStreamer framework
Name:		parole
Version:	4.18.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://goodies.xfce.org/projects/applications/parole
Source0:	https://archive.xfce.org/src/apps/parole/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
%if %{with_clutter}
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
%endif

BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64dbus-1-devel 
BuildRequires: lib64dbus-glib-1_2-devel 
BuildRequires: lib64gdk_pixbuf2.0_0-devel 
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gstreamer1.0-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
BuildRequires: lib64gtk+3.0-devel 
BuildRequires: lib64notify-devel 
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64taglib-devel 
BuildRequires: lib64x11-devel
BuildRequires: lib64xfce4ui2-devel 
BuildRequires: lib64xfce4util-devel 
BuildRequires: lib64xfconf-devel 

Requires:  	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-libav
Requires:	adwaita-icon-theme

%description
Parole is a modern simple media player based on the GStreamer framework and
written to fit well in the Xfce desktop. Parole is designed with simplicity,
speed and resource usage in mind.

Parole features playback of local media files, including video with subtitles
support, DVD/CD and live streams. Parole is also extensible via plugins.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
%if %{with_clutter}
	--enable-clutter
%else
	--disable-clutter
%endif
%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# no devel pkg, yet
rm -rf %{buildroot}%{_includedir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/parole-0/
%{_datadir}/%{name}/
%{_datadir}/applications/org.xfce.Parole.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_metainfodir}/%{name}.appdata.xml

%post
%update_menus

%postun
%clean_menus


%changelog
* Sun Jan 14 2024 tex - 4.18.1-2pclos2024
- rebuild against updates

* Sat Dec 02 2023 tex - 4.18.1-1pclos2023
- new version

* Sat Dec 02 2023 tex - 4.18.0-2pclos2023
- rebuild against updates

* Thu Mar 16 2023 tex - 4.18.0-1pclos2023
- new version

* Wed Jan 13 2021 tex - 4.16.0-1pclos2021
- new version

* Sun Dec 27 2020 tex - 4.15.0-1pclos2020
- new version 4.15.0
